package com.lordjoe.formgenerator;

import java.lang.annotation.*;

/**
 * com.lordjoe.formgenerator.AnnotationPropertyRestriction
 *
 * @author Steve Lewis
 * @date Jan 18, 2010
 */
public class AnnotationPropertyRestriction  extends PropertyRestriction
{
    public static AnnotationPropertyRestriction[] EMPTY_ARRAY = {};
    public static Class THIS_CLASS = AnnotationPropertyRestriction.class;

    private final Annotation m_Annotation;

    public AnnotationPropertyRestriction(Annotation pAnnotation)
    {
        m_Annotation = pAnnotation;
    }

    public Annotation getAnnotation()
    {
        return m_Annotation;
    }
}
