package com.lordjoe.measurement;

/**
 * com.lordjoe.measurement.DistanceUnits
 *
 * @author Steve Lewis
 * @date Mar 15, 2010
 */
public class DistanceUnits extends BaseUnitOfMeasure<DistanceUnits>
{
    public static DistanceUnits[] EMPTY_ARRAY = {};
    public static Class<DistanceUnits> THIS_CLASS = DistanceUnits.class;

     public static DistanceUnits INSTANCE = new DistanceUnits();

    private DistanceUnits()
    {
        super("Meter");
        addOption(new UnitOfMeasure<DistanceUnits>("Cm", this, 0.01));
        addOption(new UnitOfMeasure<DistanceUnits>("mm", this, 0.001));
        addOption(new UnitOfMeasure<DistanceUnits>("Km", this, 1000));


    }
}
