package com.lordjoe.measurement;

import com.lordjoe.formgenerator.*;

/**
 * com.lordjoe.measurement.Measurement
 *
 * @author Steve Lewis
 * @date Mar 15, 2010
 */
public class Measurement<T extends IBaseUnit> implements IMeasurement<T>
{
    public static Measurement[] EMPTY_ARRAY = {};
    public static Class<Measurement> THIS_CLASS = Measurement.class;

    private Double m_Value;
    // mark as simple
     private IUnit<T> m_Unit;

    public Measurement(IUnit<T> pUnit)
    {
        m_Unit = pUnit;
    }

    public Measurement(double pValue, IUnit<T> pUnit)
    {
        m_Value = pValue;
        m_Unit = pUnit;
    }

    public Double getValue()
    {
        return m_Value;
    }

    public void setValue(Double pValue)
    {
        m_Value = pValue;
    }

    public IUnit getUnit()
    {
        return m_Unit;
    }

    public void setUnit(IUnit pUnit)
    {
        m_Unit = pUnit;
    }
}
