package com.lordjoe.pullparser;

/**
 * com.lordjoe.pullparser.AbstractContextHandler
 * 
 * @author Steve Lewis
 * @date Feb 10, 2010
 */
public class AbstractContextHandler<T> implements IContextHandler<T>
{
    public static final AbstractContextHandler<?>[] EMPTY_ARRAY = {};

    public ElementHandler<T> getElementHandler(String prefix, String localName)
    {
        return null;
    }

    public String buildFullName(String prefix, String localName)
    {
        if (prefix == null || prefix.length() == 0)
            return localName;
        else
            return prefix + ":" + localName;
    }

    public void onOpen(ParseContext<T> ctx)
    {

    } public void onClose(ParseContext<T> ctx)
    {

    }
}
