package com.lordjoe.testclasses;

import com.lordjoe.formgenerator.*;

import java.util.*;

/**
 * com.lordjoe.testclasses.Student1
 *
 * @author Steve Lewis
 * @date Jan 18, 2010
 */
@PropertyPrefix(Prefix = "m_")
public class Student1
{

    @Required
    @MaxLength(Max = 64)
    private String m_Name;
    @Required
    @AllowedValues(Values = {"Male", "Female"})
    private Sex m_Sex;
    @Question(Id = "Are You Pregnant")
    @RelevantIf(Expression = "Sex=Female")
    private Boolean m_Pregnant;
    @Required
    private Date m_GraduationDate;
    @Required
    private MusicType[] m_MusicPreferences;
}
