package com.lordjoe.formgenerator;

import java.lang.reflect.*;

/**
 * com.lordjoe.formgenerator.FormGroup
 *
 * @author Steve Lewis
 * @date Feb 5, 2010
 */
public class FormGroup extends AbstractFormGroup
{
    public static FormGroup[] EMPTY_ARRAY = {};
    public static Class THIS_CLASS = FormGroup.class;

    public FormGroup(FormObject pParent)
    {
        super(pParent);
        
    }

    @Override
    public void setName(String pName)
    {
        super.setName(pName);

    }

    @Override
    protected void appendInterface(StringBuilder sb, int indent)
    {
        FormUtil.indent(sb, indent++);
        String name = getName();
        sb.append("<group ref=\"" + getDataPath() + "\"" );
        if(getTitle() != null)
               sb.append( " title=\"" + getTitle() + "\" ");
        sb.append(" >\n");
        super.appendInterface(sb, indent);
        FormUtil.indent(sb, --indent);
        sb.append("</group>\n");
    }

    @Override
    protected void appendBinding(StringBuilder sb, int indent)
    {
        FormUtil.indent(sb, indent);
         sb.append("<bind nodeset=\"");
         sb.append(getDataPath());
        sb.append("\" ");
         sb.append( getBindingAllotations() );
        sb.append("/>\n");
      //   super.appendBinding(sb, indent);
    //   FormUtil.indent(sb, --indent);
  //     sb.append("</" + getName() + ">\n");

    }

    @Override
    protected String getBindingAttributes()
    {
        return super.getBindingAttributes();

    }

    @Override
    protected void appendInstance(StringBuilder sb, int indent)
    {
        FormUtil.indent(sb, indent++);
        sb.append("<" + getName() + ">\n");
        super.appendInstance(sb, indent);
        FormUtil.indent(sb, --indent);
        sb.append("</" + getName() + ">\n");

    }
}
