package com.lordjoe.formgenerator;

/**
 * com.lordjoe.formgenerator.FormGroup
 *
 * @author Steve Lewis
 * @date Feb 5, 2010
 */
public class RepeatGroup extends AbstractFormGroup
{
    public static RepeatGroup[] EMPTY_ARRAY = {};
    public static Class THIS_CLASS = RepeatGroup.class;

    public RepeatGroup(FormObject pParent)
    {
        super(pParent);

    }

    @Override
    protected void appendInterface(StringBuilder sb, int indent)
    {
        FormUtil.indent(sb, indent++);
          sb.append("<group>\n");
         FormUtil.indent(sb, indent );
        String labelId = FormUtil.textToKey(getName());
        sb.append("<label ref=\"jr:itext(\'" + labelId + "\')\" />\n");


        FormUtil.indent(sb, indent++ );
          sb.append("<repeat nodeset=\"" + getDataPath() + "\" >\n");

        super.appendInterface(sb, indent);
        FormUtil.indent(sb, --indent);
         sb.append("</repeat>\n");
        FormUtil.indent(sb, --indent);
         sb.append("</group>\n");
      }

    @Override
    protected void appendBinding(StringBuilder sb, int indent)
    {
        FormUtil.indent(sb, indent);
         sb.append("<bind nodeset=\"");
         sb.append(getDataPath());
        sb.append("\" ");
         sb.append( getBindingAllotations() );
        sb.append(" />\n");
         super.appendBinding(sb, indent);
     //   FormUtil.indent(sb, --indent);
     //   sb.append("</" + getName() + ">\n");

    }

    @Override
    protected String getBindingAttributes()
    {
        return super.getBindingAttributes();

    }

    @Override
    protected void appendInstance(StringBuilder sb, int indent)
    {
        FormUtil.indent(sb, indent++);
        sb.append("<" + getName() + " jr:template=\"\">\n");
        super.appendInstance(sb, indent);
        FormUtil.indent(sb, --indent);
        sb.append("</" + getName() + ">\n");

    }
}