package com.lordjoe.formgenerator;

/**
 * com.lordjoe.formgenerator.WoodyType
 *   Sample of an enum as an INamed Value
 * @author Steve Lewis
 * @date Feb 4, 2010
 */
public enum WoodyType implements INamedValue
{
    wood("WOOD"),
    palm("PALM"),
    non_woody_grass("GRS"),
    non_woody_fern("FERN"),
    non_woody_shrub("SHRB"),
    woody_liana("WLI"),
    herbaceous_liana("HLI"),
    non_woody_undefined("UN"),
    other("OTR");

    private final String m_Value;

    private WoodyType(String pValue)
    {
        m_Value = pValue;
    }


    public Object getValue()
    {
        return m_Value;
    }

    public String getName()
    {
        return toString();
    }
}
