package com.lordjoe.measurement;

/**
 * com.lordjoe.measurement.DistanceUnits
 *
 * @author Steve Lewis
 * @date Mar 15, 2010
 */
public class LongTimeUnits extends BaseUnitOfMeasure<LongTimeUnits>
{
    public static LongTimeUnits[] EMPTY_ARRAY = {};
    public static Class<LongTimeUnits> THIS_CLASS = LongTimeUnits.class;

     public static LongTimeUnits INSTANCE = new LongTimeUnits();

    private LongTimeUnits()
    {
        super("Day");
        addOption(new UnitOfMeasure<LongTimeUnits>("Week", this, 7));
        addOption(new UnitOfMeasure<LongTimeUnits>("Month", this, 30));
        addOption(new UnitOfMeasure<LongTimeUnits>("Year", this, 365));


    }
}