package com.lordjoe.measurement;

/**
 * com.lordjoe.measurement.DistanceUnits
 *
 * @author Steve Lewis
 * @date Mar 15, 2010
 */
public class VolumeUnits extends BaseUnitOfMeasure<VolumeUnits>
{
    public static VolumeUnits[] EMPTY_ARRAY = {};
    public static Class<VolumeUnits> THIS_CLASS = VolumeUnits.class;

     public static VolumeUnits INSTANCE = new VolumeUnits();

    private VolumeUnits()
    {
        super("Liter");
        addOption(new UnitOfMeasure<VolumeUnits>("cc", this, 0.001));
        addOption(new UnitOfMeasure<VolumeUnits>("ml", this, 0.001));

    }
}