package com.lordjoe.pullparser;

/**
 * com.lordjoe.pullparser.IContextHandler
 *
 * @author Steve Lewis
 * @date Feb 10, 2010
 */
public interface IContextHandler<T>
{
    public static IContextHandler<?>[] EMPTY_ARRAY = {};
    // public static Class<IContextHandler> THIS_CLASS = IContextHandler.class;

    public ElementHandler<T> getElementHandler(String prefix,String localName);

    public void onClose(ParseContext<T> ctx);

    public void onOpen(ParseContext<T> ctx);
}
