package com.lordjoe.pullparser;

/**
 * com.lordjoe.pullparser.PullParserFactory
 *
 * @author Steve Lewis
 * @date Feb 28, 2010
 */
public class PullParserFactory
{
    public static PullParserFactory[] EMPTY_ARRAY = {};
    public static Class<PullParserFactory> THIS_CLASS = PullParserFactory.class;


    public   static <T> IPullParser<T> getPullParser(DocumentHandler<T> handler) 
    {
          return new JavaPullParser<T>(handler);
    }
}
