package com.lordjoe.translation;

/**
 * com.lordjoe.translation.TranslationItem
 *
 * @author Steve Lewis
 * @date Jan 29, 2010
 */
public class TranslationItem
{
    public static TranslationItem[] EMPTY_ARRAY = {};
    public static Class THIS_CLASS = TranslationItem.class;

    private final String m_ID;
    private final String m_Value;

    public TranslationItem(String pID, String pValue)
    {
        m_ID = pID;
        m_Value = pValue;
    }

    public String getID()
    {
        return m_ID;
    }

    public String getValue()
    {
        return m_Value;
    }

    @Override
    public String toString()
    {
        return getID() + ":" + getValue();

    }
}
