package com.lordjoe.translation;
import com.google.api.translate.*;
import org.junit.*;

/**
 * com.lordjoe.translation.TranslateTest
 *
 * @author Steve Lewis
 * @date Jan 31, 2010
 */
public class TranslateTest
{
    public static TranslateTest[] EMPTY_ARRAY = {};
    public static Class THIS_CLASS = TranslateTest.class;

    @Test
    public void simpleTranslationTest()
    {
        String in = "yes";
        Translator translator = Translator.getTranslator();
        String out = translator.translateTo(in, Language.GERMAN);
        Assert.assertEquals(out,"ja");

       out = translator.translateTo("no", Language.GERMAN);
        Assert.assertEquals(out,"nein");

    }
}
